View Issue Details

IDProjectCategoryView StatusLast Update
0001000LazarusIDEpublic2008-04-24 00:34
ReporterBram Kuijvenhoven Assigned ToMattias Gaertner  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 
Product Version0.9.7 (CVS) 
Target Version1.0.0 
Summary0001000: automatic identifier completion box also reports code errors (especially annoying when typing dots in comments)
DescriptionThe automatic identifier completion box added 29 June 2005 on CVS reports errors in code just like with CTRL+Space. When using CTRL+Space, you are 'prepared' for this behaviour and it's not a very big problem.
However, if the automatic box does this, you can get such error messages at unwanted/unexpected/unprepared times. This in particular happens when typing dots in comments, e.g. in {$I myfile.inc}.
Two solution directions I can think of:
1) don't show the box when typing in a comment
2) don't explicitely go to the error with the automatic popup feature (but show it somewhere to make clear what's going on)
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Mattias Gaertner

2005-08-21 20:43

manager   ~0001001

2 was implemented.

Issue History

Date Modified Username Field Change
2005-06-30 03:12 Bram Kuijvenhoven New Issue
2005-06-30 03:12 Bram Kuijvenhoven Widgetset => Win32
2005-08-02 15:24 Vincent Snijders Target => 1.0
2005-08-21 20:43 Mattias Gaertner Status new => assigned
2005-08-21 20:43 Mattias Gaertner Assigned To => Mattias Gaertner
2005-08-21 20:43 Mattias Gaertner Note Added: 0001001
2005-08-21 20:44 Mattias Gaertner Status assigned => resolved
2005-08-21 20:44 Mattias Gaertner Resolution open => fixed
2005-09-27 05:32 Marc Weustink Status resolved => closed
2008-04-24 00:34 Vincent Snijders Target Version => 1.0.0